Skip to main content
`Ctrl`+`K`

# PetscDualSpaceApplyInterior

Apply interior functionals from the dual space basis to the result of an evaluation at the points returned by `PetscDualSpaceGetInteriorData()`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceApplyInterior(PetscDualSpace sp, const PetscScalar *pointEval, PetscScalar *spValue)

## Input Parameters

- sp - The `PetscDualSpace` object

- pointEval - Evaluation at the points returned by `PetscDualSpaceGetInteriorData()`

## Output Parameter

- spValue - The values of interior dual space functionals

## See Also

`PetscDualSpace`, `PetscDualSpaceCreate()`

## Level

advanced

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages